// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true
var blacklisted_items = ['miniutilities:speed_upgrade', 'miniutilities:angel_ring', 'miniutilities:bat_angel_ring', 'miniutilities:ender_dragon_angel_ring', 'miniutilities:feather_angel_ring', 'miniutilities:gold_angel_ring', 'miniutilities:peacock_angel_ring', 'miniutilities:mechanical_miner', 'miniutilities:mechanical_placer', 'miniutilities:magical_egg', 'miniutilities:quantum_quarry', 'miniutilities:solar_panel', 'miniutilities:lunar_panel', 'miniutilities:solar_panel_controller', 'miniutilities:chorus_tile', 'miniutilities:ender_tile', 'miniutilities:netherite_spikes', 'botania:world_seed']

var oleam_shard = 'kubejs:oleam_shard'
var oleam_crystal = 'kubejs:oleam_crystal'
onEvent('recipes', event => {
	// Change recipes here
    //event.shapeless('kubejs:botanic_core', ['botania:gaia_ingot', 'botania:terrasteel_block', 'botania:elementium_block', 'botania:manasteel_block', 'botania:dragonstone_block', 'botania:mana_diamond_block', Item.of('botania:laputa_shard', {level:19}), 'botania:ancient_will_guthan', 'botania:third_eye'])
    event.shapeless('kubejs:aqueous_core', ['aquaculture:neptunium_block', 'aquaculture:nether_star_hook', 'apotheosis:heart_seashelf', 'upgrade_aquatic:tooth_block', 'minecraft:heart_of_the_sea', 'upgrade_aquatic:scute_block', 'minecraft:nautilus_shell', 'upgrade_aquatic:mulberry_pie', 'minecraft:sea_lantern'])
    event.shapeless('kubejs:environmental_core', ['byg:black_sand', 'byg:pendorite_block', 'byg:blue_sand', 'byg:anthracite_block', 'byg:white_sand', 'byg:lignite_block', 'byg:purple_sand', 'byg:ametrine_block', 'byg:pink_sand'])
    event.shapeless('kubejs:psionic_core', ['psi:psigem_block', 'psi:ivory_psimetal_block', 'psi:psigem_block', 'psi:ebony_psimetal_block', 'psi:cad_colorizer_rainbow', 'psi:ebony_psimetal_block', 'psi:psigem_block', 'psi:ivory_psimetal_block', 'psi:psigem_block'])
    event.shapeless('kubejs:quarkian_core', ['quark:forgotten_hat', 'minecraft:iron_block', 'quark:rainbow_rune', 'quark:ender_watcher', 'minecraft:totem_of_undying', 'quark:diamond_heart', 'quark:golden_frog_leg', 'minecraft:iron_block', 'quark:bottled_cloud'])
    event.shapeless('kubejs:rattatic_core', ['rats:potato_kinishes', 'rats:rat_upgrade_extreme_energy', 'rats:rat_quarry', 'rats:rat_upgrade_tnt_survivor', 'rats:rat_upgrade_god', 'rats:rat_upgrade_angel', 'rats:compressed_rat', 'rats:rat_upgrade_dragon', 'rats:plague_scythe'])
    event.shapeless('4x kubejs:oleam_shard', 'kubejs:oleam_crystal')
    //oleam crystal recipes
    event.shapeless('kubejs:oleam_crystal','4x kubejs:oleam_shard')
    event.shapeless('kubejs:oleam_crystal', ['kubejs:aqueous_core', 'kubejs:botanic_core', 'kubejs:environmental_core', 'kubejs:creator_core', 'kubejs:psionic_core', 'kubejs:quarkian_core', 'kubejs:rattatic_core', 'kubejs:tinkers_core'])
    //creative recipes
    event.shapeless('ars_nouveau:creative_spell_book',['ars_nouveau:archmage_spell_book', oleam_shard])
    event.shapeless('rats:creative_cheese', ['#forge:cheese', oleam_shard])
    event.shapeless('16x tconstruct:creative_upgrade', ['tconstruct:repair_kit_cast', oleam_shard])
    event.shapeless('16x tconstruct:creative_ability', ['tconstruct:gem_cast', oleam_shard])
    event.shapeless('pneumaticcraft:creative_compressor', ['pneumaticcraft:advanced_air_compressor', oleam_shard, oleam_shard]) 
    event.shapeless('psi:cad_assembly_creative', ['psi:cad_assembly_psimetal', '#forge:ingots/brass', oleam_shard, oleam_shard])   
    event.shapeless('botania:creative_pool', ['botania:fabulous_pool', oleam_shard, oleam_shard])
    event.shapeless('create:creative_motor', ['createaddition:electric_motor', oleam_shard, oleam_shard, oleam_shard])
    event.shapeless('create:creative_fluid_tank', ['miniutilities:unstable_drum', oleam_shard, oleam_shard])
    event.shapeless('createaddition:creative_energy', ['#forge:furnace', oleam_shard])
    event.shapeless('rats:rat_upgrade_combined_creative', ['rats:rat_upgrade_combined', oleam_shard])
    event.remove({output: 'rats:rat_upgrade_nonbeliever'})
    event.shaped('rats:rat_upgrade_nonbeliever', [
        'ABP',
        'BIB',
        'DOC'
    ], {
        A: 'rats:arcane_technology',
        B: 'rats:rat_upgrade_god',
        P: 'rats:psionic_rat_brain',
        I: 'rats:idol_of_ratlantis',
        D: 'rats:dutchrat_wheel',
        O: 'kubejs:oleam_crystal',
        C: 'rats:corrupt_rat_skull'
    }) 

    event.remove({output: blacklisted_items})
})
